From 9dca3f08cde7389fc2f24bb2530ab21e97a85a8c Mon Sep 17 00:00:00 2001
From: wangw <wangw.fnst@fujitsu.com>
Date: Thu, 20 Jan 2022 15:08:00 +0800
Subject: [PATCH] Add some log to debug

---
 src/backend/replication/logical/reorderbuffer.c | 1 +
 src/backend/replication/walsender.c             | 1 +
 2 files changed, 2 insertions(+)

diff --git a/src/backend/replication/logical/reorderbuffer.c b/src/backend/replication/logical/reorderbuffer.c
index d317a626e1..696e92fda0 100644
--- a/src/backend/replication/logical/reorderbuffer.c
+++ b/src/backend/replication/logical/reorderbuffer.c
@@ -2073,6 +2073,7 @@ ReorderBufferProcessTXN(ReorderBuffer *rb, ReorderBufferTXN *txn,
 		}
 
 		ReorderBufferIterTXNInit(rb, txn, &iterstate);
+		elog(LOG, "begin load changes");
 		while ((change = ReorderBufferIterTXNNext(rb, iterstate)) != NULL)
 		{
 			Relation	relation = NULL;
diff --git a/src/backend/replication/walsender.c b/src/backend/replication/walsender.c
index 39f985ddf3..ae48bcb3d4 100644
--- a/src/backend/replication/walsender.c
+++ b/src/backend/replication/walsender.c
@@ -3632,6 +3632,7 @@ WalSndKeepaliveIfNecessary(void)
 											wal_sender_timeout / 2);
 	if (last_processing >= ping_time)
 	{
+		elog(LOG, "send keep alive message");
 		WalSndKeepalive(true);
 
 		/* Try to flush pending output to the client */
-- 
2.18.4

